/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreStudygroup;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreStudygroupRecord extends TableRecordImpl<TCoreStudygroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_studygroup.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_studygroup.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_studygroup.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_studygroup.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_studygroup.name</code>.
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_studygroup.name</code>.
     */
    public String getName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_studygroup.unique_name_prefix</code>.
     */
    public void setUniqueNamePrefix(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_studygroup.unique_name_prefix</code>.
     */
    public String getUniqueNamePrefix() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreStudygroupRecord
     */
    public TCoreStudygroupRecord() {
        super(TCoreStudygroup.T_CORE_STUDYGROUP);
    }

    /**
     * Create a detached, initialised TCoreStudygroupRecord
     */
    public TCoreStudygroupRecord(Integer pk, Integer fkElement, String name, String uniqueNamePrefix) {
        super(TCoreStudygroup.T_CORE_STUDYGROUP);

        setPk(pk);
        setFkElement(fkElement);
        setName(name);
        setUniqueNamePrefix(uniqueNamePrefix);
        resetChangedOnNotNull();
    }
}
